function IsaacDefaultProperties(fighnd)
% Propriets par defaut de la figure en cours de cration
% Figure - Menus - Controles	
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------
		
% PaperPositionMode = 'auto' pour permettre des copies d'cran par print
% DefaultAxesUnits = 'pixels' empche le resize automatique des axes (doit tre mis  'normalized') 

%---------------------------------------------------------------------------------------------------

global ISAACPREF
global ISAACCONST

% Figure
set(fighnd, ...
	'BusyAction','Queue', ...
	'Color',ISAACPREF.IsaacColor1, ...
	'DefaultAxesColor',ISAACPREF.IsaacColor1, ... 
	'DefaultAxesFontName',ISAACPREF.FontName, ... 
	'DefaultAxesFontSize',ISAACPREF.FontSize, ...
	'DefaultAxesUnits','pixels', ...
	'DefaultUicontrolBackgroundColor',ISAACPREF.IsaacColor1, ...
	'DefaultUicontrolBusyAction','queue', ...
	'DefaultUicontrolForegroundColor',ISAACPREF.TextColor1, ...
	'DefaultUicontrolUnits','pixels', ...
	'DefaultUicontrolFontName',ISAACPREF.FontName, ... 
	'DefaultUicontrolFontSize',ISAACPREF.FontSize, ...
	'DefaultUicontrolFontUnits','pixel', ...
	'DefaultUimenuBusyAction','queue', ...
	'HandleVisibility','callback', ...
	'MenuBar','none', ...
	'NumberTitle','off', ...
	'PaperPositionMode','auto', ...
	'Resize','off',...
	'Units','pixels')

if ISAACCONST.CallbackInterrupt
	set(fighnd,'Interruptible','on', ...
		'DefaultUimenuInterruptible','on', ...
		'DefaultUicontrolInterruptible','on')
else
	set(fighnd,'Interruptible','off', ...
		'DefaultUimenuInterruptible','off', ...
		'DefaultUicontrolInterruptible','off')
end