function reponse = IsaacDialogQuestion(Mess,defaut)
% Affiche un dialogue modal de titre 'Isaac Question'
% Joue le son 'Bip' si son active
% Si Mess est un cell array de strings, chaque string sera affiche l'une en dessous de l'autre 
% Retourne la reponse 'Oui' ou 'Non'
% Si defaut = false, touche return = 'Non' sinon touche return = 'Oui'
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

IsaacSound('Bip')
if defaut
	reponse = questdlg(Mess,'Isaac Question','Oui','Non','Oui');
else
	reponse = questdlg(Mess,'Isaac Question','Oui','Non','Non');
end
