function IsaacSound(s)
% Joue le son s dans le dossier ressources de Isaac
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

global ISAACPREF
global ISAACCONST

if ISAACPREF.Son
	savedir = pwd;
	cd(ISAACCONST.ResDir)
    if verLessThan('matlab', '8.6') 
        % code pour MATLAB 2015a et antrieur
        [Y,Fs] = wavread(s);                                                                    %#ok
    else
        % code pour MATLAB 2015b (8.6) et postrieur
        [Y,Fs] = audioread([s '.wav']);
    end
	sound(Y,Fs,16); 
	cd(savedir)
end
